#ifndef TESTCALC_MAIN_H
#define TESTCALC_MAIN_H

enum calculator_state {
    NUMBER_FIRST,
    NUMBER_SECOND,
    RESULT
};
enum calculator_op {
    NO_OP,
    ADD,
    SUB,
    DIV,
    MUL
};
struct calculator {
    // 1 число
    int num1;
    // 2 число
    int num2;
    // 3 операция
    enum calculator_op operation;
    // 4 результат
    int result;
    // 5 состояние атомата
    enum calculator_state state;
};

void clearCalc(struct calculator *calc);
void handleCalc(struct calculator *calc, int input);

#endif //TESTCALC_MAIN_H
